Package proton :: Module handlers :: Class TransactionHandler

[frames] | no frames]

# Class TransactionHandler

source code

    object --+
             |
            TransactionHandler

Known Subclasses:
  - TransactionalClientHandler

The interface for transaction handlers, i.e. objects that want to be notified of state changes related to a transaction.

Instance Methods

on_transaction_declared(self, event) | source code

on_transaction_committed(self, event) | source code

on_transaction_aborted(self, event) | source code

on_transaction_declare_failed(self, event) | source code

on_transaction_commit_failed(self, event) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`